### Name: zicensor
### Title: Fitting classical and zero-inflated count regression models
### Aliases: zicensor
### Keywords: models

### ** Examples

## load the artificial 'teeth' data
 data(teeth)
 names(teeth)
  
## a) fit a Poisson regression model
pois.cens1 <- zicensor(parm=c(-2,-2,1),resp = dmft~., upper = decid~.,x =~gender + age, 
        data=teeth, distr = "Poisson")
pois.cens1 
# fit for  boys only -- using 'sub'
pois.boys <- zicensor(resp = dmft~., upper = decid~.,x =~age, data=teeth, distr = "Poisson",
        sub=expression(gender==0))
pois.boys  

## b) fit zero-inflated  Poisson regression model
zip.cens <- zicensor(resp = dmft~., upper = decid~.,x =~gender + age,z =~gender + age, 
        data=teeth, distr = "ZIP")
zip.cens
#summary(zip.cens)

## c) fit negative binomial regression model
nb.cens <- zicensor(resp = dmft~., upper = decid~.,x =~gender + age,data=teeth, distr = "NB")
nb.cens
#summary(nb.cens)

## d) fit zero-inflated negative binomial regression model
zinb.cens <- zicensor(resp = dmft~., upper = decid~.,x =~gender + age,z =~gender + age, data=teeth)
zinb.cens
#summary(zinb.cens)



